Bug 534846 - (RHQ-1602) Show baseband + how much above/below for oob values
Show baseband + how much above/below for oob values
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-18 14:54 EST by Heiko W. Rupp
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-02-18 14:54:00 EST
From RHQ-1595:

showing % above/below and baseline min/max 

- provide a server method to obtain the last n OOBs for a certain resource
Comment 1 Greg Hinkle 2009-02-18 15:00:31 EST
Thoughts on this problem...
maybe two new columns... "range" | "current"

They're still ordered by factor... which indicates how far out of range they are, but we show it to the user in a way they expect.

Metric                     Range                            Current
Free Heap             230MB to 120MB         95MB
Active Threads     72 to 85                           107


I put the baseline ordering max to min for under values and min to max for over values
Comment 2 Heiko W. Rupp 2009-02-18 15:31:40 EST
Greg, just to be sure: with "current" -- do you mean the last live value or the value from that time the recorded OOB happened?
Comment 3 Greg Hinkle 2009-02-18 15:37:20 EST
right... no, not the last live value... the max out of range value 
Comment 4 Joseph Marques 2009-02-18 16:20:24 EST
heiko, make sure you add the oob mini-table to summary>overview after you're finished with the domain model additions.  see ResourceOverviewUIBean and overview.xhtml
Comment 5 Jeff Weiss 2009-03-31 09:45:22 EDT
<ghinkle> that's the problem resources page under the subsystems menu

on this page, i see columns 

	
Band
Outlier value
Out of range factor (%)

with values
60.3MB - 67.4MB, 53.5MB, 96

These appear to be correct, with the first being the band set for that measurement, the outlier being the last measurement i got (as it happens), and the out of range % looks to be about right - the band is about 7mb wide, and the outlier is about 7mb below the band.

rev3509
Comment 6 Red Hat Bugzilla 2009-11-10 15:36:33 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1602
This bug relates to RHQ-1595
Comment 7 wes hayutin 2010-02-16 16:09:58 EST
Mass move to component = Monitoring

Note You need to log in before you can comment on or make changes to this bug.